Skip to main content

Card Expiry Alert

This webhook event is triggered when a card is approaching its expiration date. This event is triggered on the following schedule:

  • 45 days before the card expires
  • 30 days before the card expires
  • 15 days before the card expires

Endpoint​

POST https://<customerHost:Port>/webhook

Headers​

FieldDescription
Content-TypeSpecifies the media type of the resource; here, application/json.
x-request-idA unique identifier for the request. Example: 123e4567-e89b-12d3-a456-426655440000.

cURL Request Example​

curl --location --request POST 'https://<customerHost:Port>/webhook' \
--header 'Content-Type: application/json' \
--header 'x-request-id: 123e4567-e89b-12d3-a456-426655440000' \
--data-raw '{
"firstName": "John Doe",
"cardNumber": "4611-35XX-XXXX-1234",
"clientHashId": "d4e1e512-hhd7-4eca-ad41-dd39325facc2",
"cardHashId": "0de1e512-e0d7-4eca-ad41-dd39325facc2",
"expiryDay": "45",
"customerHashId": "0de1e512-e0d7-4eca-ad41-dd39325facc2",
"walletHashId": "0de1e512-e0d7-4eca-ad41-dd39325facc2",
"template": "CARD_EXPIRY_CARD_WEBHOOK"
}'

Request Body Details​

FieldDescriptionType
firstNameFirst name of the card owner.String
cardNumberThe 16-digit masked card number, in the format 4611-35XX-XXXX-1234.String
clientHashIdUnique client identifier generated and shared upon client creation.UUID
cardHashIdUnique card identifier created during new or add-on card issuance.UUID
expiryDayNumber of days remaining until the card expires.String
customerHashIdUnique customer identifier generated and shared at the time of customer creation.UUID
walletHashIdUnique wallet identifier generated during customer creation.UUID
templateThe value for the Card Expiry Alert event is CARD_EXPIRY_CARD_WEBHOOK.String
LLM-ready documentation:: llms.txt and llms-full.txt
Was this page helpful?